summaryrefslogtreecommitdiffstats
path: root/development/jbake/jbake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/jbake/jbake.SlackBuild')
-rw-r--r--development/jbake/jbake.SlackBuild99
1 files changed, 99 insertions, 0 deletions
diff --git a/development/jbake/jbake.SlackBuild b/development/jbake/jbake.SlackBuild
new file mode 100644
index 0000000000..051c8f3f5e
--- /dev/null
+++ b/development/jbake/jbake.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+#!/bin/sh
+
+# Slackware build script for jbake
+
+# Copyright 2019 Sukma Wardana
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jbake
+VERSION=${VERSION:-2.6.3}
+BUILD=${BUILD:-1}
+ARCH=noarch
+TAG=${TAG:-_SBo}
+
+PKGNAM=jbake-${VERSION}-bin.zip
+JBAKE_HOME=/usr/share/jbake
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${TMP}/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf ${PKG}
+mkdir -p ${TMP} ${OUTPUT} ${PKG}/${JBAKE_HOME} \
+ ${PKG}/usr/{bin,share/java}
+cd ${TMP}
+rm -rf ${PRGNAM}-${VERSION}
+
+unzip -o ${CWD}/${PKGNAM}
+mv ${PRGNAM}-${VERSION}-bin ${PRGNAM}-${VERSION}
+cd ${PRGNAM}-${VERSION}
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -a bin lib ${PKG}/${JBAKE_HOME}
+
+# Remove windows shell scripts
+rm -rf ${PKG}/${JBAKE_HOME}/bin/*.bat
+
+cd ${PKG}/usr/bin
+
+ ln -s ${JBAKE_HOME}/bin/jbake
+
+# Switch back to previous directory.
+cd -
+
+cd ${PKG}/usr/share/java
+
+ for jar in ${PKG}/${JBAKE_HOME}/lib/*.jar ; do
+ ln -s ${JBAKE_HOME}/lib/$(basename ${jar}) $(basename ${jar})
+ done
+
+ # Copy JBake logging configuration.
+ mkdir logging
+ ln -s ${JBAKE_HOME}/lib/logging/* logging/
+
+cd -
+
+mkdir -p ${PKG}/etc/profile.d
+for script in $(ls "${CWD}/profile.d/${PRGNAM}"*) ; do
+ cp ${script} ${PKG}/etc/profile.d/$(basename ${script})
+ chmod 755 ${PKG}/etc/profile.d/*
+done
+
+mkdir -p ${PKG}/usr/doc/${PRGNAM}-${VERSION}
+cat ${CWD}/${PRGNAM}.SlackBuild > \
+ ${PKG}/usr/doc/${PRGNAM}-${VERSION}/${PRGNAM}.SlackBuild
+cat ${CWD}/README > ${PKG}/usr/doc/${PRGNAM}-${VERSION}/README.SBo
+
+mkdir -p ${PKG}/install
+cat ${CWD}/slack-desc > ${PKG}/install/slack-desc
+
+cd ${PKG}
+/sbin/makepkg -l y -c n ${OUTPUT}/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}